org.appng.xml.platform

## Class Event

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Event

- All Implemented Interfaces:
    Serializable

      public class Event
      extends BaseObject
      implements Serializable

  An event is a container for multiple `Action`s, which usually operate on the same kind of domain objects.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Action>` | `actions`
    `protected Config` | `config`
    `protected String` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Action>` | `getActions()` Gets the value of the actions property.
    `Config` | `getConfig()` Gets the value of the config property.
    `String` | `getId()` The globally unique id of the event.
    `void` | `setConfig(Config value)` Sets the value of the config property.
    `void` | `setId(String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected Config config

    - #### actions

          protected List<Action> actions

    - #### id

          protected String id

  - ### Constructor Detail

    - #### Event

          public Event()

  - ### Method Detail

    - #### getConfig

          public Config getConfig()

      Gets the value of the config property.
      Returns:
        possible object is `Config`

    - #### setConfig

          public void setConfig(Config value)

      Sets the value of the config property.
      Parameters:
        `value` - allowed object is `Config`

    - #### getActions

          public List<Action> getActions()

      Gets the value of the actions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the actions property.

      For example, to add a new item, do as follows:

              getActions().add(newItem);

      Objects of the following type(s) are allowed in the list `Action`

    - #### getId

          public String getId()

      The globally unique id of the event.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.